From 4fcfa945c65851149cd9ed9db0ccd49d4e154e92 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:07 +0000
Subject: [PATCH 365/2232] Wrap implementation of vector type conversion


---

diff --git a/gen/write.rs b/gen/write.rs
index cb61978..e89cf0b 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -1046,11 +1046,14 @@ fn write_rust_vec_impl(out: &mut OutFile, ty: &Type) {
         "Vec<{}>::operator ::std::vector<{}>() const noexcept {{",
         inner, inner
     );
+    writeln!(out, "  ::std::vector<{}> v;", inner);
+    writeln!(out, "  v.reserve(this->size());");
     writeln!(
         out,
-        "  ::std::vector<{}> v; v.reserve(this->size()); cxxbridge02$rust_vec${}$vector_from(this, v); return v;",
-        inner, instance,
+        "  cxxbridge02$rust_vec${}$vector_from(this, v);",
+        instance,
     );
+    writeln!(out, "  return v;");
     writeln!(out, "}}");
 }
 

